libzypp: zypp::filter::ByLocaleSupport Class Reference

libzypp 17.38.6

zypp::filter::ByLocaleSupport Class Reference

Filter solvables according to their locale support. More...

`#include <zypp/Filter.h>`

## Public Member Functions
| ByLocaleSupport ()
| Solvables with locale support.
| ByLocaleSupport (const Locale &locale_r)
| Solvables supporting `locale_r`.
| ByLocaleSupport (const LocaleSet &locales_r)
| Solvables supporting at least one locale in `locales_r`.
bool | operator() (const sat::Solvable &solv_r) const
| Filter on Solvable.
template<class TSolv>
bool | operator() (const TSolv &solv_r) const
| Filter fitting PoolItem/ResObject.

## Private Types
using | LS1 = bool (sat::Solvable::*)(const Locale &) const
using | LS2 = bool (sat::Solvable::*)(const LocaleSet &) const

## Private Attributes
function< bool(const sat::Solvable &)> | _sel

## Detailed Description

Filter solvables according to their locale support.

Definition at line 63 of file Filter.h.

## Member Typedef Documentation

## ◆ LS1

using zypp::filter::ByLocaleSupport::LS1 = bool (sat::Solvable::*)(const Locale &) const
| private

Definition at line 66 of file Filter.h.

## ◆ LS2

using zypp::filter::ByLocaleSupport::LS2 = bool (sat::Solvable::*)(const LocaleSet &) const
| private

Definition at line 67 of file Filter.h.

## Constructor & Destructor Documentation

## ◆ ByLocaleSupport() [1/3]

zypp::filter::ByLocaleSupport::ByLocaleSupport | ( |  | ) |
| inline

Solvables with locale support.

Definition at line 71 of file Filter.h.

## ◆ ByLocaleSupport() [2/3]

zypp::filter::ByLocaleSupport::ByLocaleSupport | ( | const Locale & | locale_r | ) |
| inlineexplicit

Solvables supporting `locale_r`.

Definition at line 76 of file Filter.h.

## ◆ ByLocaleSupport() [3/3]

zypp::filter::ByLocaleSupport::ByLocaleSupport | ( | const LocaleSet & | locales_r | ) |
| inlineexplicit

Solvables supporting at least one locale in `locales_r`.

Definition at line 81 of file Filter.h.

## Member Function Documentation

## ◆ operator()() [1/2]

bool zypp::filter::ByLocaleSupport::operator() | ( | const sat::Solvable & | solv_r | ) | const
| inline

Filter on Solvable.

Definition at line 87 of file Filter.h.

## ◆ operator()() [2/2]

template<class TSolv>

bool zypp::filter::ByLocaleSupport::operator() | ( | const TSolv & | solv_r | ) | const
| inline

Filter fitting PoolItem/ResObject.

Definition at line 92 of file Filter.h.

## Member Data Documentation

## ◆ _sel

function<bool(const sat::Solvable &)> zypp::filter::ByLocaleSupport::_sel
| private

Definition at line 96 of file Filter.h.

The documentation for this class was generated from the following file:

- zypp/Filter.h